complexType "GenericAgreement"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 5 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | type?, version?, date?, amendmentDate*, governingLaw?
</...>

Content Model Elements (5):

  amendmentDate, date (in agreement), governingLaw, | type (in agreement), version (in agreement)

All Direct / Indirect Based Elements (1):

  agreement

Known Usage Locations

- As direct type of elements (1):
  agreement

Annotation
An entity for defining a generic agreement executed between two parties for any purpose.
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="GenericAgreement"> <xsd:sequence> <xsd:element minOccurs="0" name="type" type="AgreementType"/> <xsd:element minOccurs="0" name="version" type="AgreementVersion"/> <xsd:element minOccurs="0" name="date" type="xsd:date"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="amendmentDate" type="xsd:date"/> <xsd:element minOccurs="0" name="governingLaw" type="GoverningLaw"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/5)
amendmentDate

  Type: | xsd:date, predefined, simple content

  A date on which the agreement was amended.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="amendmentDate" type="xsd:date"/>

date

  Type: | xsd:date, predefined, simple content

  The date on which the agreement was signed.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="date" type="xsd:date"/>

governingLaw

  Type: | GoverningLaw, simple content

  Identification of the law governing the agreement.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="governingLaw" type="GoverningLaw"/>

type

  Type: | AgreementType, simple content

  The type of agreement executed between the parties.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="type" type="AgreementType"/>

version

  Type: | AgreementVersion, simple content

  The version of the agreement.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="version" type="AgreementVersion"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.